{Example from http://wiki.freepascal.org/SqlDBHowto}
program CreateTable;
uses sqldb, pqconnection;

var 
  AConnection : TSQLConnection;
  ATransaction : TSQLTransaction;
 
Procedure CreateConnection;
begin
  AConnection := TPQConnection.Create(nil);
  AConnection.Hostname := 'localhost';
  AConnection.DatabaseName := 'my_database';
  AConnection.UserName := 'postgres';
  AConnection.Password := 'paswd';
end;
 
procedure CreateTransaction;
begin
  ATransaction := TSQLTransaction.Create(nil);
  ATransaction.Database := AConnection;
end;
 
begin
  CreateConnection;
  CreateTransaction;
  AConnection.Transaction := ATransaction;
  AConnection.Open;
  ATransaction.StartTransaction;
  AConnection.ExecuteDirect
     ('create table TBLNAMES (ID integer, NAME varchar(40));'); 
 
  // Some database-server types need a commit before you can use a newly created table. (Firebird)
  // With .Commit you also close the transaction
  //ATransaction.Commit; 
 
  //ATransaction.StartTransaction;
  AConnection.ExecuteDirect
     ('insert into TBLNAMES (ID,NAME) values (1,''Name1'');'); 
  AConnection.ExecuteDirect
     ('insert into TBLNAMES (ID,NAME) values (2,''Name2'');'); 
  ATransaction.Commit; 
  AConnection.Close;
  AConnection.Free;
  ATransaction.Free;
end.
   