{Example from http://wiki.freepascal.org/SqlDBHowto}
program EditData;
uses SysUtils, sqldb, pqconnection, DB;
 
var 
  AConnection : TSQLConnection;
  ATransaction : TSQLTransaction;
 
Procedure CreateConnection;
begin
  AConnection := TPQConnection.Create(nil);
  AConnection.Hostname := 'localhost';
  AConnection.DatabaseName := 'my_database';
  AConnection.UserName := 'postgres';
  AConnection.Password := 'paswd';
end;
 
procedure CreateTransaction;
begin
  ATransaction := TSQLTransaction.Create(nil);
  ATransaction.Database := AConnection;
end;
 
function GetQuery : TSQLQuery;
begin
  Result := TSQLQuery.Create(nil);
  Result.Database := AConnection;
  Result.Transaction := ATransaction;
end;
  
var Query : TSQLQuery;
 
begin
  CreateConnection;
  CreateTransaction;
  AConnection.Transaction := ATransaction;
  Query := GetQuery;
  Query.SQL.Text := 'select * from tblNames';
  Query.Open;
  Query.Edit;
  Randomize;
  Query.FieldByName('NAME').AsString := 'Edited '+IntToStr(random(10))+' name';
  Query.Post;
  Query.UpdateMode := upWhereAll;
  Query.ApplyUpdates;
  AConnection.Transaction.Commit;
  Query.Free;
  ATransaction.Free;
  AConnection.Free;
end.
   