{Example from http://wiki.freepascal.org/SqlDBHowto (fixed)}
program ShowData;
uses sqldb, pqconnection;

var 
  AConnection : TSQLConnection;
  ATransaction : TSQLTransaction;
 
Procedure CreateConnection;
begin
  AConnection := TPQConnection.Create(nil);
  AConnection.Hostname := 'localhost';
  AConnection.DatabaseName := 'my_database';
  AConnection.UserName := 'postgres';
  AConnection.Password := 'paswd';
end;
 
procedure CreateTransaction;
begin
  ATransaction := TSQLTransaction.Create(nil);
  ATransaction.Database := AConnection;
end;
 
function GetQuery : TSQLQuery;
begin
  Result := TSQLQuery.Create(nil);
  Result.Database := AConnection;
  Result.Transaction := ATransaction;
end;
 
var 
  Query : TSQLQuery;
 
begin
  CreateConnection;
  CreateTransaction;
  Query := GetQuery;
  Query.SQL.Text := 'select * from tblNames';
  AConnection.Open;
  Query.Open;
  while not Query.Eof do
  begin
    Writeln('ID: ', Query.FieldByName('ID').AsInteger,
            ', Name: ', Query.FieldByName('Name').AsString);
    Query.Next;
  end;
  Query.Close;
  AConnection.Close;
  Query.Free;
  ATransaction.Free;
  AConnection.Free;
end.
   